PHP Manual
Prev |  | Next

# ldap_next_attribute

(PHP 3, PHP 4, PHP 5)

ldap_next_attribute -- Get the next attribute in result

## Description

string ldap_next_attribute ( resource link_identifier, resource result_entry_identifier, resource &ber_identifier )

Retrieves the attributes in an entry. The first call to ldap_next_attribute() is made with the `result_entry_identifier` returned from ldap_first_attribute().

## Parameters

`link_identifier`

  An LDAP link identifier, returned by ldap_connect().

`result_entry_identifier`

`ber_identifier`

  The internal state of the pointer is maintained by this parameter.

## Return Values

Returns the next attribute in an entry on success and `FALSE` on error.

## See Also

ldap_get_attributes()

Prev | Home | Next
ldap_modify | Up | ldap_next_entry